Bug 10760 - form corrupted hangs netbeans on opening
form corrupted hangs netbeans on opening
Status: CLOSED FIXED
Product: guibuilder
Classification: Unclassified
Component: Code
3.x
PC Linux
: P1 (vote)
: 3.x
Assigned To: issues@guibuilder
issues@guibuilder
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-28 11:35 UTC by rogert
Modified: 2003-06-30 18:26 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
log and corrupted form (31.06 KB, application/octet-stream)
2001-07-20 20:46 UTC, rogert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rogert 2001-03-28 11:35:26 UTC
in my first session with netbeans 3.2-11, I revised several forms.
in the second one, trying to open these forms hangs netbeans, without
exceptions, and with the message: "opening form..."
I can send one corrupted form if you want.
Thanks.
Comment 1 rogert 2001-03-28 11:38:50 UTC
Created attachment 903 [details]
log and corrupted form
Comment 2 _ ttran 2001-03-28 12:30:34 UTC
this deadlock was fixed yesterday (BUG#10678), please try NB 3.2 beta 14 (not
uploaded yet).  Your form file is not corrupted.

Jesse, you may be interested in the attached thread dump.  AntProjectDataLoader
does not fail gracefully in face of unknown encoding in xml file.

BTW. who created these xml files?  It's much better to always encode them using
UTF-8, which guarantees that all Unicode chars will be encoded correctly and the
charset is known to all JVM implementations.
Comment 3 Marian Mirilovic 2001-03-30 15:40:32 UTC
verified in [nb_r32](16), [pilsen](010329_5)
Comment 4 Jesse Glick 2001-04-27 18:57:16 UTC
Trung wrote:
> Jesse, you may be interested in the attached thread dump.
> AntProjectDataLoader does not fail gracefully in face of unknown
> encoding in xml file.

Doesn't it? Parsing the file failed, and the reason for the failure is logged to
ide.log at an informational level (I hope). Not much else it can do.
Comment 5 Jan Chalupa 2001-05-05 22:24:44 UTC
Target milestone -> 3.2
Comment 6 Quality Engineering 2003-06-30 18:26:04 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo